
%define konsoleprivate_major 22
%define libkonsoleprivate %mklibname konsoleprivate %{konsoleprivate_major}

Name: konsole
Summary: A terminal emulator similar to xterm for KDE
Version: 23.08.5
Release: %mkrel 1

Group: Graphical desktop/KDE5
License: GPLv2 and LGPLv2 and GFDL
URL: http://konsole.kde.org/
Requires: x11-font-misc-misc
Source: http://download.kde.org/stable/%version/src/%{name}-%version.tar.xz
#------------------------------------------------------
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5dbus-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5help-devel
BuildRequires: lib64qt5imageformats-devel
BuildRequires: lib64qt5qml-devel
BuildRequires: lib64qt5concurrent-devel
BuildRequires: lib64qt5test-devel
BuildRequires: lib64qt5widgets-devel
BuildRequires:  cmake
BuildRequires:  kf5-macros
#------------------------------------------------------
BuildRequires:  kbookmarks-devel
BuildRequires:  kcompletion-devel
BuildRequires:  kconfig-devel
BuildRequires:  kconfigwidgets-devel
BuildRequires:  kcoreaddons-devel
BuildRequires:  kdoctools-devel
BuildRequires:  kguiaddons-devel
BuildRequires:  ki18n-devel
BuildRequires:  kiconthemes-devel
BuildRequires:  kinit-devel
BuildRequires:  kdelibs4support-devel
BuildRequires:  kio-devel
BuildRequires:  knotifications-devel
BuildRequires:  knotifyconfig-devel
BuildRequires:  kparts-devel
BuildRequires:  kpty-devel
BuildRequires:  kservice-devel
BuildRequires:  ktextwidgets-devel
BuildRequires:  kwidgetsaddons-devel
BuildRequires:  kwindowsystem-devel
BuildRequires:  kxmlgui-devel

BuildRequires:  libxml2-utils
BuildRequires:  docbook-dtds
BuildRequires:  docbook-style-xsl

Requires: ncurses-extraterms

%description
A terminal emulator, similar to xterm, for KDE.

%files
%{_datadir}
%{_bindir}
%{_sysconfdir}
%{_libdir}

%package doc
Summary: Konsole Documentation
Requires:  %name
BuildArch: noarch
Group: Documentation

%description doc
This package provides Konsole documentation.

%files doc
%docdir %_kf5_docdir/
%_kf5_docdir/%{name}/manual
%_kf5_docdir/%{name}/developer
%_kf5_docdir/%{name}/user
%_kf5_docdir/HTML

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"
%cmake_kf5 -GNinja
%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build
mkdir -p %{buildroot}/%_kf5_docdir/%{name}
mv doc/* %{buildroot}/%_kf5_docdir/%{name}

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="System" \
  --add-category="X-MandrivaLinux-TerminalEmulator" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

